<?php
/*
##################################################################################
## Verwendet in erfassen_eingabe.php
##################################################################################
*/
require_once("config.inc.php");


function lvs_exk_mehrtaegig($exk_stdanreise, $exk_stdabreise, $datum_anreise, $datum_abreise){

$datetime1 = date_create($datum_anreise);
$datetime2 = date_create($datum_abreise);

$interval = date_diff($datetime1, $datetime2);
$gesamtanzahl = $interval->format('%a')+1;

# An- un Abreisetag abziehen
$volletage=$gesamtanzahl-2;
##echo $volletage;

$db = dbconnect();

$result_fakt = $db->query("SELECT faktor, max_wert
                             FROM dep_kat_veranstaltungsart
                            WHERE verid = 5;
                         ");
$row_fakt = $result_fakt->fetch_array();

$max_wert = $row_fakt['max_wert'];
$faktor = $row_fakt['faktor'];

# Umrechnung in LVS: Faktor für Exkursion: 0,3; Max 3 LVS pro Tag
$volletageLVS = $volletage*$max_wert; 

$LVS_stdanreise = $exk_stdanreise*$faktor;

if($LVS_stdanreise >=$max_wert){
  $LVS_stdanreise = $max_wert;
}
$LVS_stdabreise = $exk_stdabreise*$faktor;

if($LVS_stdabreise >=$max_wert){
  $LVS_stdabreise = $max_wert;
}

$gesamtlvs = $volletageLVS+$LVS_stdanreise+$LVS_stdabreise;
return $gesamtlvs;
}
#$exk_stdanreise = 6;
#$exk_stdabreise = 5;
#$datum_anreise = '2019-06-05';
#$datum_abreise = '2019-06-12';
#echo lvs_exk_mehrtaegig($exk_stdanreise, $exk_stdabreise, $datum_anreise, $datum_abreise);

?>
